﻿@using System.Web.UI.WebControls;
@using Portal.Models.Dock;
@using Portal.Models.Plant;

@model Toyota.Common.Web.MVC.ModelHolder
       
<table width="350px" border = "0">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Dock Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DockCodee";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Plant Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                s =>
                {

                    s.Name = "grlPlantDock";
                    s.GridProperties.KeyFieldName = "PlantCode";
                    s.Width = 200;
                    s.GridProperties.Width = 300;
                    s.GridProperties.CallbackRouteValues = new { Controller = "Dock", Action = "PlantCodePartialLookupForm" };

                    s.GridProperties.Height = 100;
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.Enabled = false;

                    //s.GridProperties.ClientSideEvents.SelectionChanged = "GetDockCode";
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "DockCode";
                        c.FieldName = "DockCode";
                        c.Caption = "Dock Code";
                        c.Visible = false;
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "PlantCode";
                        c.FieldName = "PlantCode";
                        c.Caption = "Plant Code";
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "PlantName";
                        c.FieldName = "PlantName";
                        c.Caption = "Plant Name";
                    });
                }).Bind(ViewData["GridPlantDock"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Dock Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DockName";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Email";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().Memo(
                settings =>
                {
                    settings.Name = "Email";
                    settings.Width = 260;
                    settings.Height = 60;
                }
            ).GetHtml()
           @* <textarea rows="4" cols="50" id="Email" name="Email"></textarea>*@
            Separate Input with semicolon (;)
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Email cc";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
        @*<textarea rows="4" cols="50" id="Emailcc" name="Emailcc"></textarea>*@
            @Html.DevExpress().Memo(
                settings =>
                {
                    settings.Name = "Emailcc";
                    settings.Width = 260;
                    settings.Height = 60;
                }
            ).GetHtml()
            Separate Input with semicolon (;)
        </td>
    </tr>
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    
</table>
<table width="300px" border ="0">
 <tr>
        <td align="left">
         <!-- Here we import again for the function lib for the purpose on uncheck for the gridlookup grid -->
            @{ var gridSetting = ((Toyota.Common.Web.Html.Helper.DevExpress.CommonGridLookupSettings)(TempData["Grid" + TempData["GridName"]]));
               TempData["Grid" + TempData["GridName"]] = gridSetting;
               TempData["GridName"] = gridSetting.Name;
               }
               <!-- Then we continue for the eventhandler that user must exec -->
            @*Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "FinishNewDockCode";
                    settings.Text = "=Fin=";
                    settings.Width = 80;

                    settings.ClientSideEvents.Click = "function(s, e){ DockCode.SetValue(''); Grid" + gridSetting.Name + ".UnselectRows(); DockName.SetValue(''); alert('System Has Finish CLears'); popupNewDockCode.Hide();}";              
                }
            ).GetHtml() *@

        </td>
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "okNewDockCode";
                    settings.Text = "OK";
                    settings.Width = 80;
                    
                    settings.ClientSideEvents.Click = "RetrieveDeliveryContent";                        
                }
            ).GetHtml()</td>
        <td align="right" width="80px">
        @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "cancelSingleManifest";
                settings.Text = "Cancel";
                settings.Width = 80;

                settings.ClientSideEvents.Click = "EventSingleManifest";                        
            }
        ).GetHtml()
        </td>
     </tr>
</table>